ForceFields::MMFF::MMFFTorCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const std::pair< const unsigned int, const MMFFTor * > | getMMFFTorParams (const MMFFDefCollection *mmffDef, const std::pair< unsigned int, unsigned int > torType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType) const
| Looks up the parameters for a particular key and returns them. More...
| MMFFTorCollection (const bool isMMFFs, std::string mmffTor="")

## Public Attributes

std::vector< MMFFTor > | d_params
| the parameter vector More...
std::vector< std::uint8_t > | d_iAtomType
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom i More...
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom j More...
std::vector< std::uint8_t > | d_lAtomType
| atom type vector for atom k More...
std::vector< std::uint8_t > | d_torType
| atom type vector for atom l More...

## Detailed Description

Definition at line 925 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFTorCollection()

ForceFields::MMFF::MMFFTorCollection::MMFFTorCollection | ( | const bool | isMMFFs,
|  | std::string | mmffTor = `""`
| ) |  |

## Member Function Documentation

## getMMFFTorParams()

const std::pair<const unsigned int, const MMFFTor *> ForceFields::MMFF::MMFFTorCollection::getMMFFTorParams | ( | const MMFFDefCollection * | mmffDef,
|  | const std::pair< unsigned int, unsigned int > | torType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFTor object, NULL on failure.

Definition at line 931 of file MMFF/Params.h.

## Member Data Documentation

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_iAtomType

Definition at line 1085 of file MMFF/Params.h.

## d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_jAtomType

atom type vector for atom i

Definition at line 1086 of file MMFF/Params.h.

## d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_kAtomType

atom type vector for atom j

Definition at line 1087 of file MMFF/Params.h.

## d_lAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_lAtomType

atom type vector for atom k

Definition at line 1088 of file MMFF/Params.h.

## d_params

std::vector<MMFFTor> ForceFields::MMFF::MMFFTorCollection::d_params

the parameter vector

Definition at line 1084 of file MMFF/Params.h.

## d_torType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_torType

atom type vector for atom l

Definition at line 1090 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h